Loading...
Searching...
No Matches
osmium::StringMatcher::always_true Class Reference

`#include <string_matcher.hpp>`

Inheritance diagram for osmium::StringMatcher::always_true:
[legend]
Collaboration diagram for osmium::StringMatcher::always_true:
[legend]

## Public Member Functions

template<typename TChar , typename TTraits >
void | print (std::basic_ostream< TChar, TTraits > &out) const

## Static Public Member Functions

static bool | match (const char *) noexcept

## Detailed Description

Always matches.

## Member Function Documentation

## match()

static bool osmium::StringMatcher::always_true::match | ( | const char * |  | ) |

inlinestaticnoexcept

## print()

template<typename TChar , typename TTraits >

void osmium::StringMatcher::always_true::print | ( | std::basic_ostream< TChar, TTraits > & | out | ) | const

inline

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp